searchNodes=[{"doc":"","ref":"IceCream.html","title":"IceCream","type":"module"},{"doc":"Prints the calling filename, line number, and parent module/function. It returns an :ok atom. # lib/foo.ex defmodule Foo do import IceCream def bar do ic ( ) end end # running Foo.bar() Foo . bar ( ) # ic| lib/foo.ex:5 in Elixir.Foo.bar/0 :ok","ref":"IceCream.html#ic/0","title":"IceCream.ic/0","type":"macro"},{"doc":"Prints the term with itself as a label. Returns the evaluated term. Examples Variables foo = &quot;abc&quot; ic ( foo ) # ic| foo: &quot;abc&quot; &quot;abc&quot; Module Function Argument calls ic ( :math . pow ( 2 , 3 ) ) # ic| :math.pow(2,3): 8.0 8.0 It also works with pipes 2 |&gt; :math . pow ( 3 ) |&gt; ic ( ) # ic| :math.pow(2,3): 8.0` 8.0 Options Accepts the same options as the Inspect protocol. (see: Inspect.Opts ), with some additions: :location - when truthy, will add the file name and line number. :function - when truthy, will print out the module name with the function name and arity. # lib/foo.ex defmodule Foo do import IceCream def bar ( baz ) do ic ( baz , location : true , function : true ) end end # running Foo.bar() Foo . bar ( 1.0 ) # ic| lib/foo.ex:5 in Elixir.Foo.bar/1 baz: 1.0 1.0","ref":"IceCream.html#ic/2","title":"IceCream.ic/2","type":"macro"},{"doc":"","ref":"readme.html","title":"IceCream","type":"extras"},{"doc":"IceCream is a port of the python package of the same name. Never use IO.inspect() again Use IceCream to inspect any Elixir term with an automatically generated label.","ref":"readme.html#section","title":"IceCream - Section","type":"extras"},{"doc":"The package can be installed by adding ice_cream to your list of dependencies in mix.exs . It should only be added for the dev and test environments. def deps do [ { :ice_cream , &quot;~&gt; 0.0.5&quot; , only : [ :dev , :test ] } ] end The docs can be found at https://hexdocs.pm/ice_cream .","ref":"readme.html#installation","title":"IceCream - Installation","type":"extras"},{"doc":"Use IceCream in place of IO.inspect/2 . So write ic(value) instead of IO.inspect(some_value, label: &quot;some_value&quot;) It can also be used inside of pipelines. You can write: Mix . install ( [ { :ice_cream , path : &quot;./&quot; } ] ) :ok defmodule SomeModule do import IceCream defp fabricate ( data ) , do : data defp cleanup ( data ) , do : data def some_fun ( data ) do data |&gt; ic ( ) |&gt; fabricate ( ) |&gt; ic ( ) |&gt; cleanup ( ) |&gt; ic ( ) end end SomeModule . some_fun ( &quot;&lt;data&gt;&quot; ) ic| data: &quot;&lt;data&gt;&quot; ic| fabricate(data): &quot;&lt;data&gt;&quot; ic| cleanup(fabricate(data)): &quot;&lt;data&gt;&quot; &quot;&lt;data&gt;&quot; Instead of: defmodule SomeModule do defp fabricate ( data ) , do : data defp cleanup ( data ) , do : data def some_fun ( data ) do data |&gt; IO . inspect ( label : &quot;data&quot; ) |&gt; fabricate ( ) |&gt; IO . inspect ( label : &quot;fabricate&quot; ) |&gt; cleanup ( ) |&gt; IO . inspect ( label : &quot;cleanup&quot; ) end end SomeModule . some_fun ( &quot;&lt;data&gt;&quot; ) data: &quot;&lt;data&gt;&quot; fabricate: &quot;&lt;data&gt;&quot; cleanup: &quot;&lt;data&gt;&quot; &quot;&lt;data&gt;&quot; If in a function, you can pass :location and :function as options defmodule SomeModule do import IceCream def some_fun ( data ) do ic ( data , function : true , location : true ) end end SomeModule . some_fun ( &quot;&lt;data&gt;&quot; ) ic| README.livemd#cell:5 in SomeModule.some_fun/1 data: &quot;&lt;data&gt;&quot; &quot;&lt;data&gt;&quot; It also works if you pass in a function call import IceCream ic ( :math . pow ( 2 , 3 ) ) ic| :math.pow(2, 3): 8.0 8.0","ref":"readme.html#usage","title":"IceCream - Usage","type":"extras"},{"doc":"Default options are configurable. In addition to location and function , any of the Inspect options can be set, such as :limit # config/dev.exs config :ice_cream , location : true , function : true , limit : :infinity","ref":"readme.html#configuration","title":"IceCream - Configuration","type":"extras"}]